ActivityCompletedException (Java Platform SE 8 )
Keywords: javax.activity.ActivityCompletedException class
Date: 2026-04-17

javax.activity

## Class ActivityCompletedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - javax.activity.ActivityCompletedException

- All Implemented Interfaces:
    Serializable

      public class ActivityCompletedException
      extends RemoteException

  This exception may be thrown on any method for which Activity context is accessed and indicates that ongoing work within the Activity is not possible. This may be because the Activity has been instructed to complete with CompletionStatusFailOnly or has ended as a result of a timeout. This exception will be propagated across ORB boundaries via an org.omg.CORBA.ACTIVITY_COMPLETED system exception. An application should handle this error by attempting to complete the Activity.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityCompletedException()` Constructs a new instance with null as its detail message.
    `ActivityCompletedException(String message)` Constructs a new instance with the specified detail message.
    `ActivityCompletedException(String message, Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `ActivityCompletedException(Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivityCompletedException

          public ActivityCompletedException()

      Constructs a new instance with null as its detail message.

    - #### ActivityCompletedException

          public ActivityCompletedException(String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### ActivityCompletedException

          public ActivityCompletedException(Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### ActivityCompletedException

          public ActivityCompletedException(String message,
                                            Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.